#include <iostream>
#include <string>

int main() {
	std::string szyfr;
	std::cin >> szyfr;
	while (!szyfr.empty()) {
		int n = szyfr.size();
		std::string pozostale_litery;
		for (int i = 0; i < n; i += 2) {
			std::cout << szyfr[i];
		}
		for (int i = 1; i < n; i += 2) {
			pozostale_litery += szyfr[i];
		}
		szyfr = pozostale_litery;
	}
	std::cout << '\n';
	return 0;
}
